diff -ruN -x '*~' emacs/Makefile.in emacs.patched/Makefile.in
--- emacs/Makefile.in	2006-05-06 09:18:44.000000000 -0400
+++ emacs.patched/Makefile.in	2006-06-24 13:43:08.000000000 -0400
@@ -428,7 +428,7 @@
 	      (cd $${dir}; tar -chf - . ) \
 		| (cd $${dest}; umask 022; \
                    tar -xvf - && cat > /dev/null) || exit 1; \
-	      find $${dest} -exec chown $${LOGNAME:-$$USERNAME} {} ';' ;\
+	      find $${dest} -exec chown root:admin {} ';' ;\
 	      for subdir in `find $${dest} -type d ! -name RCS ! -name CVS -print` ; do \
 		chmod a+rx $${subdir} ; \
 		rm -rf $${subdir}/RCS ; \
@@ -468,7 +468,7 @@
 	   echo "Copying etc/DOC-* to $(DESTDIR)${docdir} ..." ; \
 	   (cd ./etc; tar -chf - DOC*) \
 	     |(cd $(DESTDIR)${docdir}; umask 022; tar -xvf - && cat > /dev/null) || exit 1; \
-	   (cd $(DESTDIR)$(docdir); chown $${LOGNAME:-$$USERNAME} DOC*; chmod a+r DOC*; \
+	   (cd $(DESTDIR)$(docdir); chown root:admin DOC*; chmod a+r DOC*; \
 	    if test "`echo DOC-*`" != "DOC-*"; then rm DOC; fi); \
 	else true; fi
 	-unset CDPATH; \
@@ -480,7 +480,7 @@
 	   echo "Copying lisp/*.el and lisp/*.elc to $(DESTDIR)${lispdir} ..." ; \
 	   (cd lisp; tar -chf - *.el *.elc) \
 	     |(cd $(DESTDIR)${lispdir}; umask 022; tar -xvf - && cat > /dev/null) || exit 1; \
-	   (cd $(DESTDIR)${lispdir}; find . -exec chown $${LOGNAME:-$$USERNAME} {} ';') ; \
+	   (cd $(DESTDIR)${lispdir}; find . -exec chown root:admin {} ';') ; \
 	else true; fi
 	-unset CDPATH; \
 	if [ -n "${GZIP_PROG}" ]; \
diff -ruN -x '*~' emacs/configure emacs.patched/configure
--- emacs/configure	2006-05-18 12:58:44.000000000 -0400
+++ emacs.patched/configure	2006-06-24 13:43:08.000000000 -0400
@@ -1359,7 +1359,7 @@
 etcdir='${datadir}/emacs/${version}/etc'
 archlibdir='${libexecdir}/emacs/${version}/${configuration}'
 docdir='${datadir}/emacs/${version}/etc'
-gamedir='${localstatedir}/games/emacs'
+gamedir='${localstatedir}/games/emacs22'
 
 gameuser=games
 
@@ -13006,9 +13006,9 @@
 fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_ungif_EGifPutExtensionLast" >&5
 echo "${ECHO_T}$ac_cv_lib_ungif_EGifPutExtensionLast" >&6
-if test $ac_cv_lib_ungif_EGifPutExtensionLast = yes; then
+#if test $ac_cv_lib_ungif_EGifPutExtensionLast = yes; then
   HAVE_GIF=yes
-fi
+#fi
 
 fi
 
diff -ruN -x '*~' emacs/fix-info emacs.patched/fix-info
--- emacs/fix-info	1969-12-31 19:00:00.000000000 -0500
+++ emacs.patched/fix-info	2006-06-26 11:07:22.000000000 -0400
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+THE_INFO_PREFIX=$1
+
+for file in ada-mode autotype calc ccmode cl dired-x ebrowse ediff efaq \
+           elisp eintr emacs emacs-mime eshell eudc flymake \
+           forms gnus idlwave info message mh-e newsticker org pcl-cvs \
+           pgg reftex sc ses sieve speedbar tramp vip viper widget \
+           woman smtpmail url rcirc erc
+do
+    ./mangle-info ${THE_INFO_PREFIX}/${file}
+done
\ No newline at end of file
diff -ruN -x '*~' emacs/lisp/startup.el emacs.patched/lisp/startup.el
--- emacs/lisp/startup.el	2006-05-24 09:22:12.000000000 -0400
+++ emacs.patched/lisp/startup.el	2006-06-24 13:43:08.000000000 -0400
@@ -285,6 +285,10 @@
 
 (defvar normal-top-level-add-subdirs-inode-list nil)
 
+(defconst fink-emacs-flavor 'emacs22
+  "A symbol representing the particular fink flavor of emacs running.
+Something like 'emacs20, 'xemacs20, etc.")
+
 (defvar no-blinking-cursor nil)
 
 (defvar default-frame-background-mode)
@@ -805,9 +809,19 @@
     ;; Run the site-start library if it exists.  The point of this file is
     ;; that it is run before .emacs.  There is no point in doing this after
     ;; .emacs; that is useless.
-    (if site-run-file
-	(load site-run-file t t))
-
+    ;; (if site-run-file                                                       
+    ;;     (load site-run-file t t))                                           
+                                                                              
+    ;; Fink version of site-start.                                           
+    (if site-run-file                                                          
+	(progn                                                                 
+	  ;; Load all the fink package snippets.                             
+	  ;; It's in here because we want -q to kill it too.                   
+	  (if (load "fink-startup" t t nil)                                  
+	      (fink-startup fink-emacs-flavor))                            
+	  ;; Now the normal site file...                                       
+	  (load site-run-file t t nil)))       
+    
     ;; Sites should not disable this.  Only individuals should disable
     ;; the startup message.
     (setq inhibit-startup-message nil)
diff -ruN -x '*~' emacs/mangle-info emacs.patched/mangle-info
--- emacs/mangle-info	1969-12-31 19:00:00.000000000 -0500
+++ emacs.patched/mangle-info	2006-06-26 11:09:36.000000000 -0400
@@ -0,0 +1,18 @@
+#!/usr/bin/perl -w -i
+
+use English;
+use strict;
+
+$RS = undef;
+
+my $prefix = "emacs-22";
+
+my $x = <>;
+if(!($x =~ m/^(\s*START-INFO-DIR-ENTRY\s+\*\s*[^:]+:\s*)\(([^\)]+)\)/mo)) {
+  die "Couldn't find START-INFO-DIR-ENTRY.";
+}
+   
+print ${PREMATCH};
+print "$1($prefix/$2)";
+print ${POSTMATCH};
+
diff -ruN -x '*~' emacs/src/Makefile.in emacs.patched/src/Makefile.in
--- emacs/src/Makefile.in	2006-05-18 13:05:36.000000000 -0400
+++ emacs.patched/src/Makefile.in	2006-06-24 13:43:08.000000000 -0400
@@ -435,7 +435,7 @@
 
 #if HAVE_GIF
 #ifndef LIBGIF
-#define LIBGIF -lungif
+#define LIBGIF -lgif
 #endif /* not defined LIBGIF */
 #else /* not HAVE_GIF */
 #define LIBGIF
